Recuperare un utente LDAP
GET /accounts/{account_id}/core/v1/ldapUsers/{ldapUser_id}
Restituisce un oggetto JSON che rappresenta la risorsa LDAP memorizzata.
Parametri
| Nome | Tipo | In | Obbligatorio | Descrizione |
|---|---|---|---|---|
ID account |
stringa |
percorso |
Vero |
ID della risorsa account contenitore
|
ldapUser_id |
stringa |
percorso |
Vero |
ID della ldapUser collection da elencare |
Risposta
Status: 200, Returns a JSON object representing the stored LDAP resource.
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
Tipo di media della risorsa. I valori definiti sono:
|
versione |
stringa |
Vero |
Versione della risorsa. I valori definiti sono:
|
id |
stringa |
Vero |
Identificatore univoco globale della risorsa. I valori definiti sono:
|
stringa |
Falso |
Stringa JSON che rappresenta l'email dell'utente LDAP. I valori definiti sono:
|
|
firstName |
stringa |
Falso |
Stringa JSON che rappresenta il nome dell'utente LDAP. I valori definiti sono:
|
lastName |
stringa |
Falso |
Stringa JSON che rappresenta il cognome dell'utente LDAP. I valori definiti sono:
|
cn |
stringa |
Falso |
Stringa JSON che rappresenta il nome del gruppo LDAP. I valori definiti sono:
|
dn |
stringa |
Falso |
Stringa JSON che rappresenta il nome distinto del gruppo LDAP. I valori definiti sono:
|
metadati |
Vero |
Metadati specificati dal client e dal servizio associati alla risorsa. I valori definiti sono:
|
Risposta tipo
{
"type": "application/astra-ldapUser",
"version": "1.0",
"id": "2add73ff-89dc-5ff1-be85-39d97549556d",
"email": "johndoe@example.com",
"firstName": "John",
"lastName": "Doe",
"cn": "John Doe",
"dn": "cn=John Doe,ou=people,dc=example,dc=com",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
Risposta
Status: 401, Unauthorized
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Risposta
Status: 400, Bad request
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
|
invalidParams |
vettore["invalidParams"] |
Falso |
Elenco dei parametri di query non validi |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Risposta
Status: 403, Forbidden
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Errore
Status: 404, Not found
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Esempio di risposta di errore
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
Definizioni
Vedi definizioni
etichetta tipo_astra
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
|
valore |
stringa |
Vero |
type_astra_metadati
Metadati specificati dal client e dal servizio associati alla risorsa. I valori definiti sono:
-
Conforme allo schema di metadati Astra
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
etichette |
vettore["etichetta tipo_astra"] |
Vero |
|
CreationTimestamp |
stringa |
Vero |
|
ModificationTimestamp |
stringa |
Vero |
|
CreatedBy |
stringa |
Vero |
|
modifiedBy |
stringa |
Falso |
invalidParams
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
Nome del parametro di query non valido |
motivo |
stringa |
Vero |
Motivo per cui il parametro di query non è valido |